Redmine - Patch #20263

Redmine load hook
Status: Closed Start date:

Priority: Normal Due date:

Assignee: % Done: 0%
Category: Plugin API Estimated time: 0.00 hour
Target version:

Description
It would be cool to have a load hook to refer from a plugins

Related issues:
Related to Redmine - Patch #34072: Hook after plugins were loaded Closed

History

#1 - 2015-07-07 15:43 - Ondfej Ezr
- File redmine-hook.patch added

This version may be more usefull ... ( after all plugins had loaded, do something... )

#2 - 2015-08-05 10:12 - Toshi MARUYAMA
- Category set to Plugin API

#3 - 2018-09-01 23:13 - Ondfej Ezr

Any news?
#4 - 2018-09-02 01:40 - Go MAEDA
Ondfej Ezr wrote:

It would be cool to have a load hook to refer from a plugins

Would you describe use cases of the hook?

#5 - 2018-09-02 13:35 - Ondiej Ezr

Whatever code you write you can assure that redmine is fully loaded already.
Engine initializers (for plugins in engine) for example.
Plugins who wants to load some code after all plugins were initialized.

1)
2)
3) Any code in libs depending on the redmine code should know if redmine is loaded.
4) You can write code for rails and have feature for redmine in your gem.

loads of other cases, always solvable in different way, but nicer by the hook.

My case was 1) 2) and 4) in my experiences with developement for redmine, but obviously after 3 years even the GIT forgot the code | needed it in ...
go if | am concern, close this one rather than asking me iritating questions with obvious answers after 3 years of having simple one line diff.

Please move to some kind of git source code management. You got mergerequests, pull requests. Of course you dont have time to go through every

patch by hand :X
Otherwise your software is dead, because community is unable to contribute.

#6 - 2018-09-03 05:25 - Go MAEDA

- Target version set to Candidate for next major release

Thank you for describing the use cases. Sorry for irritating you but those points were not obvious to me because | am not interested in developing
plugins. So, your explanation was helpful to me.

Setting target version to "Candidate for next major release". | think that we need a little more work to merge this change.
e Someone has to write test code. Test code is needed to add new features to Redmine core.
e | would like to get feedback from users. Adding/changing public API will affect many users, and it is not easy to change once it is implemented.

#7 - 2018-09-03 20:21 - Ondfej Ezr

Yeah, | was more irritated for the 3 years gap from first response, | understand this needs time to get evaluated and tested before merge.
But 3 years is far from being effective.

| think that gitlab for example would give you a lot more efficiency you need.
Exactly what you are describing would still be needed to be done, but it would be much easier.

AND community is used to git nowadays, somebody could even write the tests already for me :)
OR | could do it far more easily :)

Just the notes. | know, you probably already considered it and still didn't, for some reason | can't see, do it, but | am voting for it if it's worth something

)

| alone know of at least 4 programmers who would like to colaborate, but doesn't because they knows your response time is too high to be helpful for
them, so they has to go monkey patch and don't bother to program to the core :)

| will try to remember it and help if | got time, but | already dont have the code localy. So needs more time.

#8 - 2020-11-16 02:25 - Go MAEDA
- Related to Patch #34072: Hook after plugins were loaded added

#9 - 2020-11-16 02:29 - Go MAEDA
- Status changed from New to Needs feedback

- Target version deleted (Candidate for next major release)

The upcoming Redmine 4.2.0 will have :after_plugins_loaded that is called after all plugins are loaded (#34072). | think you you can use the new hook
as an alternative to the proposed patch.

#10 - 2021-05-13 15:41 - Go MAEDA
- Status changed from Needs feedback to Closed

Files
redmine-hook.diff 324 Bytes 2015-07-07 Ondrej Ezr
redmine-hook.patch 799 Bytes 2015-07-07 Ondfrej Ezr
